MIDIPLAY(1) | General Commands Manual | MIDIPLAY(1)

# NAME

midiplay — play MIDI and RMID files

# SYNOPSIS

midiplay | [-d devno] [-f file] [-l] [-m] [-p pgm] [-q] [-t tempo] [-v] [-x] [file ...]

# DESCRIPTION

The midiplay command plays MIDI and RMID files using the sequencer device. If no file name is given it will play from standard input, otherwise it will play the named files.

RMID files are Standard MIDI Files embedded in a RIFF container and can usually be found with the ‘rmi' extension. They contain some additional information in other chunks which are not parsed by midiplay yet.

The program accepts the following options:

-d devno
  specifies the number of the MIDI device used for output (as listed by the -l flag). There is no way at present to have midiplay map playback to more than one device. The default is device is given by environment variable MIDIUNIT.
-f file
  specifies the name of the sequencer device.
-l
  list the possible devices without playing anything.
-m
  show MIDI file meta events (copyright, lyrics, etc).
-p pgm
  force all channels to play with the single specified program (or instrument patch, range 1-128). Program change events in the file will be suppressed. There is no way at present to have midiplay selectively map channels or instruments.
-q
  specifies that the MIDI file should not be played, just parsed.
-t tempo-adjust
  specifies an adjustment (in percent) to the tempi recorded in the file. The default of 100 plays as specified in the file, 50 halves every tempo, and so on.
-v
  be verbose. If the flag is repeated the verbosity increases.
-x
  play a small sample sound instead of a file.

A file containing no tempo indication will be played as if it specified 150 beats per minute. You have been warned.

# ENVIRONMENT

MIDIUNIT
  the default number of the MIDI device used for output. The default is 0.

# FILES

/dev/music
  MIDI sequencer device

# SEE ALSO

midi(4)

# HISTORY

The midiplay command first appeared in NetBSD 1.4.

# BUGS

It may take a long while before playing stops when midiplay is interrupted, as the data already buffered in the sequencer will contain timing events.

January 16, 2010 | NetBSD 6.0